Bug 187350 - diffstat crash
Summary: diffstat crash
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: diffstat (Show other bugs)
(Show other bugs)
Version: 5
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC6Update 220308
TreeView+ depends on / blocked
 
Reported: 2006-03-30 11:34 UTC by Joe Orton
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.43-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-18 18:19:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2006-03-30 11:34:17 UTC
"diffstat *.patch" crash -- will reference internal repro case.

diffstat-1.41-1.2.1.x86_64

Loaded symbols for /lib64/ld-linux-x86-64.so.2
#0  0x0000003bd2b74290 in strnlen () from /lib64/libc.so.6
(gdb) where
#0  0x0000003bd2b74290 in strnlen () from /lib64/libc.so.6
#1  0x0000003bd2b44fd4 in vfprintf () from /lib64/libc.so.6
#2  0x0000003bd2bde7a1 in __printf_chk () from /lib64/libc.so.6
#3  0x0000000000402834 in show_data (p=0x5104e0) at diffstat.c:1195
#4  0x0000003bd2bc9840 in trecurse () from /lib64/libc.so.6
#5  0x0000003bd2bc9840 in trecurse () from /lib64/libc.so.6
#6  0x0000003bd2bc9840 in trecurse () from /lib64/libc.so.6
#7  0x0000003bd2bc9861 in trecurse () from /lib64/libc.so.6
#8  0x0000003bd2bc9861 in trecurse () from /lib64/libc.so.6
#9  0x0000003bd2bc9840 in trecurse () from /lib64/libc.so.6
#10 0x0000000000403502 in main (argc=5305072, argv=Variable "argv" is not available.
) at diffstat.c:1293
#11 0x0000003bd2b1d084 in __libc_start_main () from /lib64/libc.so.6
#12 0x0000000000401129 in _start ()
#13 0x00007fffffc73078 in ?? ()
#14 0x0000000000000000 in ?? ()

Comment 2 Tim Waugh 2006-03-30 13:55:58 UTC
As a work-around you can use -u.

Comment 3 Tim Waugh 2006-03-30 14:29:51 UTC
No idea further than that.  Can't work out why it's broken.  Looks like a
use-after-free issue.

Comment 4 Tim Waugh 2007-01-11 14:25:40 UTC
Using FC6 now?

Comment 5 Tim Waugh 2007-01-15 12:40:46 UTC
1.43-1.fc6 from updates-testing fixes this.

Comment 6 Fedora Update System 2007-01-18 17:31:38 UTC
Fixed in update: diffstat-1.43-1.fc6


Note You need to log in before you can comment on or make changes to this bug.